﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataStructureLab
{
    public static class Extentions
    {
        public static string ReverseWords(this string src)
        {
            if (string.IsNullOrEmpty(src)) return string.Empty;
            var arr = src.Split(' ');
            var sb = new StringBuilder();
            for (int i = arr.Length-1; i >=0; i--)
            {
                sb.Append(arr[i]);
                sb.Append(" ");
            }            
            return sb.ToString().Trim();
        }

        public static List<Registration> FilterList(this ICollection<Registration> data, Func<Registration, bool> condition)
        {
            var list = new List<Registration>();
            foreach (Registration r in data)
            {
                if (condition(r))
                {
                    list.Add(r);
                }
            }
            return list;
        }

    }
}
