﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataStructureLab
{
    class CollectionTest
    {
        public static void List()
        {
            Console.WriteLine("List All - Foreach Loop");
            var srv = new DataService();
            foreach (var reg in srv.Data)
            {
                Console.WriteLine(reg);
            }
        }

        public static void Find()
        {
            Console.WriteLine("Test Find - Foreach Loop");
            var prof = "Mech";
            var srv = new DataService();
            Console.WriteLine("Searching for Profession: {0}", prof);
            foreach (var reg in srv.Data)
            {
                if (reg.Profession == prof)
                {
                    Console.WriteLine(reg);
                }
            }
        }

        public static void Sum()
        {
            Console.WriteLine("Test Sum - Foreach Loop");
            var prof = "Mech";
            var srv = new DataService();
            Console.WriteLine("Searching for Profession: {0}", prof);
            var sum = 0;
            foreach (var reg in srv.Data)
            {
                if (reg.Profession == prof)
                {
                    Console.WriteLine(reg);
                    sum = sum + reg.RegCount;
                }
            }
            Console.WriteLine("Sum of Registrations = {0}", sum);
        }

        public static void Max()
        {
            Console.WriteLine("Test Max - Foreach Loop");
            var prof = "Mech";
            var srv = new DataService();
            Console.WriteLine("Searching for Profession: {0}", prof);
            var max = 0;
            foreach (var reg in srv.Data)
            {
                if (reg.Profession == prof)
                {
                    Console.WriteLine(reg);
                    if (reg.RegCount > max)
                    {
                        max = reg.RegCount;
                    }
                }
            }
            Console.WriteLine("Max Count of Registrations = {0}", max);

        }

        public static void Average()
        {
            Console.WriteLine("Test Average - Foreach Loop");
            var prof = "Mech";
            var srv = new DataService();
            Console.WriteLine("Searching for Profession: {0}", prof);
            var sum = 0;
            var count = 0;
            foreach (var reg in srv.Data)
            {
                if (reg.Profession == prof)
                {
                    Console.WriteLine(reg);
                    sum = sum + reg.RegCount;
                    count++;
                }
            }
            Console.WriteLine("Sum of Registrations = {0}", sum);
            Console.WriteLine("Count of Records Found = {0}", count);
            Console.WriteLine("Avreage of Registrations = {0}", sum / count);
        }

    }
}
