﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataStructureLab
{
    public interface IDataService
    {
        List<Registration> Data { get; }
    }

    public class DataService : IDataService
    {
        List<Registration> _RegList;
        public List<Registration> Data
        {
            get
            {
                if (_RegList == null)
                {
                    CreateList();
                }
                return _RegList;
            }
        }

        public void CreateList()
        {
            _RegList = new List<Registration>
            {
                new Registration { Profession="Communication", Grade="Second", RegCount = 281 },
                new Registration { Profession="Computer", Grade="First", RegCount = 71 },
                new Registration { Profession="Computer", Grade="Third", RegCount = 141 },
                new Registration { Profession="Computer", Grade="Second", RegCount = 203 },
                new Registration { Profession="Airframe", Grade="First", RegCount = 68 },
                new Registration { Profession="Airframe", Grade="Third", RegCount = 12 },
                new Registration { Profession="Airframe", Grade="Second", RegCount = 67 },
                new Registration { Profession="Electric", Grade="First", RegCount = 447 },
                new Registration { Profession="Electric", Grade="Third", RegCount = 166 },
                new Registration { Profession="Electric", Grade="Second", RegCount = 337 },
                new Registration { Profession="Mech", Grade="First", RegCount = 543 },
                new Registration { Profession="Mech", Grade="Third", RegCount = 584 },
                new Registration { Profession="Mech", Grade="Second", RegCount = 864 },
                new Registration { Profession="Torism", Grade="First", RegCount = 33 },
                new Registration { Profession="Torism", Grade="Third", RegCount = 127 },
                new Registration { Profession="Torism", Grade="Second", RegCount = 166 },
                new Registration { Profession="Civil", Grade="First", RegCount = 21 },
                new Registration { Profession="Civil", Grade="Third", RegCount = 29 },
                new Registration { Profession="Civil", Grade="Second", RegCount = 35 },
                new Registration { Profession="Structure", Grade="First", RegCount = 287 },
                new Registration { Profession="Structure", Grade="Third", RegCount = 228 },
                new Registration { Profession="Structure", Grade="Second", RegCount = 403 },
                new Registration { Profession="Communication", Grade="First", RegCount = 152 },
                new Registration { Profession="Communication", Grade="Third", RegCount = 260 },
                new Registration { Profession="Communication", Grade="Second", RegCount = 281 },
                new Registration { Profession="BIS", Grade="First", RegCount = 5 },
                new Registration { Profession="BIS", Grade="Third", RegCount = 11 },
                new Registration { Profession="BIS", Grade="Second", RegCount = 16 },
                new Registration { Profession="Media", Grade="First", RegCount = 1 },
                new Registration { Profession="Media", Grade="Third", RegCount = 13 },
                new Registration { Profession="Media", Grade="Second", RegCount = 11 },
                new Registration { Profession="CommerceE", Grade="First", RegCount = 541 },
                new Registration { Profession="CommerceE", Grade="Third", RegCount = 652 },
                new Registration { Profession="CommerceE", Grade="Second", RegCount = 740 },
                new Registration { Profession="CommerceA", Grade="First", RegCount = 71 },
                new Registration { Profession="CommerceA", Grade="Third", RegCount = 340 },
                new Registration { Profession="CommerceA", Grade="Second", RegCount = 266 },
                new Registration { Profession="Law", Grade="First", RegCount = 16 },
                new Registration { Profession="Law", Grade="Third", RegCount = 32 },
                new Registration { Profession="Law", Grade="Second", RegCount = 32 },
            };
        }
    }
}
