﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataStructureLab
{
    public class EmumerationTests
    {
        public static void Enumarations()
        {
            //Calling the simple State Machine 
            Console.WriteLine("--- Calling the simple State Machine ");
            foreach (var s in StateMachine())
            {
                Console.WriteLine(s);
            }

            //Calling the simple Seires Generator 
            Console.WriteLine("--- Calling the simple Seires Generator");
            foreach (var item in LinearSeriesMachiene(5, 100))
            {
                Console.WriteLine(item);
            }


        }
        static IEnumerable<string> StateMachine()
        {
            yield return "String 1";
            yield return "String 2";
            yield return "String 3";

            //var list = new List<string>();
            //list.Add("String 1");
            //list.Add("String 2");
            //list.Add("String 3");

            //return list;
        }

        static IEnumerable<int> LinearSeriesMachiene(int step, int max)
        {
            var result = 0;
            while (result < max)
            {
                result = result + step;
                yield return result;
            }
        }

    }
}
